include:
  - project: 'eclipsefdn/it/releng/gitlab-runner-service/gitlab-ci-templates'
    file: 'pipeline-autodevops.gitlab-ci.yml'

default:
  tags:
    - origin:eclipse

stages:
  - build
  - test

variables:
  SCAN_KUBERNETES_MANIFESTS: "true" 

build:
  image: buildpack-deps:latest
  stage: build
  script:
    - make
  artifacts:
    paths:
      - target/*.tar.gz

container_scanning: 
  rules:
    - when: never